Subject: Re: [PATCH v7 iwl-next 2/7] ice: pass reset type to PTP reset functions

From: Simon Horman <[email-masked]>
Date: Tue, 23 Jan 2024 16:48:30 +0000

On Tue, Jan 23, 2024 at 11:51:26AM +0100, Karol Kolacinski wrote:
> From: Jacob Keller <[email-masked]>
> 
> The ice_ptp_prepare_for_reset() and ice_ptp_reset() functions currently
> check the pf->flags ICE_FLAG_PFR_REQ bit to determine if the current
> reset is a PF reset or not.
> 
> This is problematic, because it is possible that a PF reset and a higher
> level reset (CORE reset, GLOBAL reset, EMP reset) are requested
> simultaneously. In that case, the driver performs the highest level
> reset requested. However, the ICE_FLAG_PFR_REQ flag will still be set.
> 
> The main driver reset functions take an enum ice_reset_req indicating
> which reset is actually being performed. Pass this data into the PTP
> functions and rely on this instead of relying on the driver flags.
> 
> This ensures that the PTP code performs the proper level of reset that
> the driver is actually undergoing.
> 
> Signed-off-by: Jacob Keller <[email-masked]>
> Signed-off-by: Karol Kolacinski <[email-masked]>
> Reviewed-by: Jacob Keller <[email-masked]>

Sorry, I sent this just now for v6, not realising that v7 had been posted.

Reviewed-by: Simon Horman <[email-masked]>